function setSeoTitle(title) {
    document.title = "港校租房-" + title
}

// 跳转 url
function redirectToExternalWebsite(url) {
    const link = document.createElement("a")
    link.href = url
    link.target = "_blank"
    link.click()
}

// 跳转登录
function goTologin() {
    let url = encodeURIComponent(location.href)
    redirectToExternalWebsite(`https://passport.gter.net/?referer=${url}`)
}

// 复制方法
function copyToClipboard(text) {
    return new Promise((resolve, reject) => {
        const textareaEle = document.createElement("textarea")
        document.body.appendChild(textareaEle)
        // 2. 将需要复制的文本传入输入框, 并调用 select 方法, 选中输入框中文本
        textareaEle.value = text
        textareaEle.select()
        textareaEle.readOnly = "readOnly"
        // 3. 调用复制选中文本的方法
        document.execCommand("copy")
        // 4. 销毁输入框
        document.body.removeChild(textareaEle)
        resolve()
        // navigator.clipboard.writeText(text).then(() => {
        //     resolve()
        // }).catch((err) => {
        //     reject()
        // });
    })
}

// 转换 秒数
function secondsToHoursMinutes(seconds, type) {
    // 计算小时数
    const hours = Math.floor(seconds / 3600)
    // 计算剩余的秒数
    const remainingSecondsAfterHours = seconds % 3600
    // 计算分钟数
    const minutes = Math.floor(remainingSecondsAfterHours / 60)
    // 计算剩余的秒数
    const remainingSeconds = remainingSecondsAfterHours % 60

    let text = ""
    if (type == "chinese") {
        if (hours != 0) text += hours + "小时"
        if (minutes != 0) text += minutes + "分钟"
        if (remainingSeconds != 0 && minutes == 0) text += remainingSeconds + "秒"
    } else {
        if (hours != 0) text += hours + "h"
        if (minutes != 0) text += minutes + "min"
        if (remainingSeconds != 0 && minutes == 0) text += remainingSeconds + "s"
    }
    return text
}

// 转换 米数
function metersToKilometers(input, type) {
    let text = ""
    if (input >= 1000) text = (input / 1000).toFixed(1) + (type == "chinese" ? "公里" : "km")
    else text = input + (type == "chinese" ? "米" : "m")
    return text
}

module.exports = {
    setSeoTitle,
    redirectToExternalWebsite,
    goTologin,
    copyToClipboard,
    secondsToHoursMinutes,
    metersToKilometers,
}
